Package org.zkoss.zk.ui

## Class SuspendNotAllowedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.zkoss.lang.SystemException
        - - org.zkoss.zk.ui.UiException
          - - org.zkoss.zk.ui.SuspendNotAllowedException

- All Implemented Interfaces:
    `java.io.Serializable`, `Messageable`, `MessageConst`

      public class SuspendNotAllowedException
      extends UiException

  Denotes the current event processing thread cannot be suspended because there are too many suspended threads.

  Deployers can control the maximal allowed number of suspended threads by specifying `max-suspended-thread` in `zk.xml`, or invoking `Configuration.setMaxSuspendedThreads(int)`.

  By default, no limit at all (and this exception won't be thrown)

  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.UiException

      `UiException.Aide`

    - ### Nested classes/interfaces inherited from interface org.zkoss.mesg.MessageConst

      `MessageConst.BundleInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.lang.SystemException

      `_code`

    - ### Fields inherited from interface org.zkoss.mesg.MessageConst

      `NULL_CODE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SuspendNotAllowedException()` |
    `SuspendNotAllowedException​(int code)` |
    `SuspendNotAllowedException​(int code, java.lang.Object fmtArg)` |
    `SuspendNotAllowedException​(int code, java.lang.Object[] fmtArgs)` |
    `SuspendNotAllowedException​(int code, java.lang.Object[] fmtArgs, java.lang.Throwable cause)` |
    `SuspendNotAllowedException​(int code, java.lang.Object fmtArg, java.lang.Throwable cause)` |
    `SuspendNotAllowedException​(int code, java.lang.Throwable cause)` |
    `SuspendNotAllowedException​(java.lang.String s)` |
    `SuspendNotAllowedException​(java.lang.String msg, java.lang.Throwable cause)` |
    `SuspendNotAllowedException​(java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class org.zkoss.lang.SystemException

      `getCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SuspendNotAllowedException

          public SuspendNotAllowedException​(java.lang.String msg,
                                            java.lang.Throwable cause)

    - #### SuspendNotAllowedException

          public SuspendNotAllowedException​(java.lang.String s)

    - #### SuspendNotAllowedException

          public SuspendNotAllowedException​(java.lang.Throwable cause)

    - #### SuspendNotAllowedException

          public SuspendNotAllowedException()

    - #### SuspendNotAllowedException

          public SuspendNotAllowedException​(int code,
                                            java.lang.Object[] fmtArgs,
                                            java.lang.Throwable cause)

    - #### SuspendNotAllowedException

          public SuspendNotAllowedException​(int code,
                                            java.lang.Object fmtArg,
                                            java.lang.Throwable cause)

    - #### SuspendNotAllowedException

          public SuspendNotAllowedException​(int code,
                                            java.lang.Object[] fmtArgs)

    - #### SuspendNotAllowedException

          public SuspendNotAllowedException​(int code,
                                            java.lang.Object fmtArg)

    - #### SuspendNotAllowedException

          public SuspendNotAllowedException​(int code,
                                            java.lang.Throwable cause)

    - #### SuspendNotAllowedException

          public SuspendNotAllowedException​(int code)